org.jbpm.services.task.commands

## Class ArchiveTasksCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<Integer>
  - - org.jbpm.services.task.commands.ArchiveTasksCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<Integer>, org.kie.api.command.Command<Integer>

      public class ArchiveTasksCommand
      extends TaskCommand<Integer>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArchiveTasksCommand()`
    `ArchiveTasksCommand(List<org.kie.api.task.model.TaskSummary> tasks)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `execute(org.kie.internal.command.Context cntxt)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasks()`
    `void` | `setTasks(List<org.kie.api.task.model.TaskSummary> tasks)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchiveTasksCommand

          public ArchiveTasksCommand()

    - #### ArchiveTasksCommand

          public ArchiveTasksCommand(List<org.kie.api.task.model.TaskSummary> tasks)

  - ### Method Detail

    - #### execute

          public Integer execute(org.kie.internal.command.Context cntxt)

    - #### getTasks

          public List<org.kie.api.task.model.TaskSummary> getTasks()

    - #### setTasks

          public void setTasks(List<org.kie.api.task.model.TaskSummary> tasks)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.